Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler.xml.processes
Class MetaDataHandler.MetaDataWrapper

    java.lang.Object
      org.jbpm.compiler.xml.processes.MetaDataHandler.MetaDataWrapper

All Implemented Interfaces:
  org.drools.process.core.TypeObject, ValueObject

Enclosing class:
  MetaDataHandler

    public class MetaDataHandler.MetaDataWrapper

extends Object
implements ValueObject

Constructor Summary
`MetaDataHandler.MetaDataWrapper(Node node, String name)`

Method Summary
`org.drools.process.core.datatype.DataType` | `getType()`
`Object` | `getValue()`
`void` | `setType(org.drools.process.core.datatype.DataType type)`
`void` | `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaDataHandler.MetaDataWrapper

    public MetaDataHandler.MetaDataWrapper(Node node,
                                           String name)

Method Detail

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `ValueObject`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `ValueObject`

### getType

    public org.drools.process.core.datatype.DataType getType()

  Specified by:
    `getType` in interface `org.drools.process.core.TypeObject`

### setType

    public void setType(org.drools.process.core.datatype.DataType type)

  Specified by:
    `setType` in interface `org.drools.process.core.TypeObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.